Create Funding

Creates a new funding record to specify how payables will be paid.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Common Parameters:

  • workspace_id (UUID, required): Workspace identifier
  • method (string, required): Funding method - either "invoice" or "balance"
  • amount (integer, required): Funding amount in cents
  • amount_denomination (string, optional): Currency denomination (defaults to workspace primary denomination)
  • description (string, required): Description of the funding

Invoice-Specific Parameters:

When method is "invoice", the following fields are required:

  • recipient_email (string, required): Email for receiving invoice
  • bill_to (string, required): Billing recipient
  • company_name (string, required): Company name for billing
  • company_address_one (string, required): Company billing address

Optional Parameters:

  • due_date (timestamp, optional): Due date for the funding
  • po_number (string, optional): Purchase order number
  • additional_notes (string, optional): Additional notes for the funding
uuid
required
payable_ids
array of uuids

Array of payable IDs to fund (required when method is 'balance', mutually exclusive with amount)

payable_ids
integer

Funding amount in cents (required when not providing payable_ids)

enum

Currency denomination (defaults to workspace primary denomination)

Allowed:
string
string

Billing recipient (required when method is 'invoice')

string

Company billing address (required when method is 'invoice')

string

Company name for billing (required when method is 'invoice')

string

Description of the funding (required when method is 'invoice')

date-time
string
string

Email for receiving invoice (required when method is 'invoice')

enum
required

Funding method - 'balance' to fund from wallet balance, 'invoice' to create an invoice

Allowed:
Response

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json